# List of all proforma invoices

Using this endpoint, you can get list of all proforma invoices with detailed info of each proforma invoice (like in Proforma invoice detail endpoint) asynchronously. See how Asynchronous requests work on our developer's portal.


Response will be in jsonlines format with each proforma invoice taking one line of output file.


One invoice in response has the same format as invoice detail response. See Proforma invoice snapshot schema for more details.


Result file is compressed using GZIP.


This endpoint has one section, which is only sent when requested in the include parameter (see Section on demand).


Value                 | Section
---                   | ---
surchargeParameters | Item surcharge parameters

Endpoint: GET /api/proforma-invoices/snapshot
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Query parameters:

  - `include` (string)
    Sections to include
    Example: "surchargeParameters"

  - `creationTimeFrom` (string)
    Export proforma invoices created after date
    Example: "2014-09-05T00:00:00%2B0000"

  - `creationTimeTo` (string)
    Export proforma invoices created before date
    Example: "2019-09-05T00:00:00%2B0000"

  - `changeTimeFrom` (string)
    Export proforma invoices updated after date
    Example: "2014-09-05T00:00:00%2B0000"

  - `changeTimeTo` (string)
    Export proforma invoices updated before date
    Example: "2019-09-05T00:00:00%2B0000"

  - `codeFrom` (string)
    Export proforma invoices with code after given value (given code included)
    Example: "0000000006"

  - `codeTo` (string)
    Export proforma invoices with code before given value (given code included)
    Example: "0000000006"

  - `proformaInvoiceCodeFrom` (string)
    Export invoices with proforma invoice code after given value
    Example: "2017000010"

  - `proformaInvoiceCodeTo` (string)
    Export invoices with proforma invoice code befor given value
    Example: "2017000010"

  - `isValid` (boolean)
    Filtering according to document validity
    Example: true

  - `paid` (boolean)
    Filtering according to if proforma invoice is paid
    Example: true

  - `currencyCode` (string)
    Export proforma invoices with given currency code, if given currency code does not exists, or is not valid, it will throw an exception
    Example: "CZK"

## Header parameters:

  - `Content-Type` (string, required)

## Response 202 fields (application/json):

  - `data` (object)

  - `data.jobId` (string, required)
    token of job

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced


